Bug 10720 - When doing logout and shutdown, Xorg freezes(High cpu usage) in 100.14.03-1.fc7
When doing logout and shutdown, Xorg freezes(High cpu usage) in 100.14.03-1.fc7
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (proprietary)
unspecified
x86 (IA32) Linux (All)
: high critical
Assigned To: Aaron Plattner
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-23 03:28 UTC by sangu
Modified: 2007-09-22 21:10 UTC (History)
1 user (show)

See Also:


Attachments
nvidia-bug-report.log (112.93 KB, text/plain)
2007-04-23 03:30 UTC, sangu
no flags Details
Xorg backtrace (5.61 KB, text/plain)
2007-06-09 17:26 UTC, sangu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description sangu 2007-04-23 03:28:01 UTC
When doing logout or shutdown, Xorg freezes(High cpu usage)  in 100.14.03-1.fc7.

1. Start computer.
2. login  with gdm 
3. start a program.
4. quit a  program.
5. logout or shutdown

OS :Fedora RawHide (20070423))
nvidia driver vesrion :  100.14.03
GNOME Desktop 2.18.x(Using compiz)
Comment 1 sangu 2007-04-23 03:30:45 UTC
Created attachment 9694 [details]
nvidia-bug-report.log

And xorg-x11-server-Xorg-1.2.99.905-5.fc7.
Comment 2 sangu 2007-04-23 03:35:30 UTC
$gdb XOrg
[...]
(gdb) bt
#0  0x004b5f00 in _nv001875X ()
   from /usr/lib/xorg/modules/drivers//nvidia_drv.so
#1  0x0041ef80 in ?? () from /usr/lib/xorg/modules/extensions/nvidia//libglx.so
#2  0xb75816b0 in ?? ()
#3  0x00000000 in ?? ()
(gdb) quit
Comment 3 sangu 2007-05-22 22:52:48 UTC
The same problem happens in nvidia-100.14.06(beta).

xorg-x11-server-Xorg-1.3.0.0-5.fc7
libXrandr-1.2.0-3.fc7
kernel-2.6.21-1.3175.fc7
Comment 4 sangu 2007-06-08 17:35:20 UTC
Fixed in 100.14.09.
Thanks!
Comment 5 sangu 2007-06-09 17:26:59 UTC
Created attachment 10241 [details]
Xorg backtrace

compiz-0.4.0, xorg-x11-server-1.3 
nvidia vga driver-100.14.09

Sorry, reopen this bug. :(
Comment 6 sangu 2007-06-09 17:30:47 UTC
This bug still happens. 
Comment 7 sangu 2007-06-21 17:39:05 UTC
In 100.14.09 and 100.14.11
After playing movie, X freezes on logout or shutdown.

nvidia driver or Comiz bug?
Comment 8 sangu 2007-06-21 18:16:59 UTC
Additional Information
When WindowManager is Metacity, this problem doesn't happen.
In nvidia driver 1.0.9755, this problem doesn't happen.
Comment 9 sangu 2007-09-22 21:10:29 UTC
Fixed in nvidia-100.14.19.

Thanks.